Package io.vertx.ext.auth

## Class KeyStoreOptions

- java.lang.Object
- - io.vertx.ext.auth.KeyStoreOptions

-     public class KeyStoreOptions
      extends Object

  Options describing how an JWT KeyStore should behave. This is an extended version core's `KeyStoreOptions`.

  This extension sets the default type to the runtime keystore type (for compatibility, reasons) plus it allows the configuration of password per key using `setPasswordProtection(Map)`.

  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeyStoreOptions()` | Default constructor
    `KeyStoreOptions​(JsonObject json)` | Constructor to create an options from JSON
    `KeyStoreOptions​(KeyStoreOptions other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPassword()` |
    `Map<String,​String>` | `getPasswordProtection()` |
    `String` | `getPath()` |
    `String` | `getProvider()` |
    `String` | `getType()` |
    `KeyStoreOptions` | `putPasswordProtection​(String alias, String password)` |
    `KeyStoreOptions` | `setPassword​(String password)` |
    `KeyStoreOptions` | `setPasswordProtection​(Map<String,​String> passwordProtection)` |
    `KeyStoreOptions` | `setPath​(String path)` |
    `KeyStoreOptions` | `setProvider​(String provider)` |
    `KeyStoreOptions` | `setType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreOptions

          public KeyStoreOptions()

      Default constructor

    - #### KeyStoreOptions

          public KeyStoreOptions​(KeyStoreOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### KeyStoreOptions

          public KeyStoreOptions​(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### setType

          public KeyStoreOptions setType​(String type)

    - #### setProvider

          public KeyStoreOptions setProvider​(String provider)

    - #### setPassword

          public KeyStoreOptions setPassword​(String password)

    - #### setPath

          public KeyStoreOptions setPath​(String path)

    - #### setPasswordProtection

          public KeyStoreOptions setPasswordProtection​(Map<String,​String> passwordProtection)

    - #### getType

          public String getType()

    - #### getProvider

          public String getProvider()

    - #### getPassword

          public String getPassword()

    - #### getPath

          public String getPath()

    - #### getPasswordProtection

          public Map<String,​String> getPasswordProtection()

    - #### putPasswordProtection

          public KeyStoreOptions putPasswordProtection​(String alias,
                                                       String password)